Skip to main content
PATCH
Error

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string<uuid>
required

Body

application/json

Partial update for an existing agent.

All fields are optional. Only provided (non-None) fields are written to the database. Use model_dump(exclude_none=True) to build the update payload.

name
string | null
Required string length: 1 - 100
description
string | null
system_prompt
string | null
first_message
string | null
first_message_mode
string | null
model_provider
string | null
model_name
string | null
temperature
number | null
Required range: 0 <= x <= 2
max_tokens
integer | null
Required range: 1 <= x <= 8192
voice_provider
string | null
voice_id
string | null
voice_model
string | null
voice_stability
number | null
Required range: 0 <= x <= 1
voice_similarity
number | null
Required range: 0 <= x <= 1
voice_speed
number | null
Required range: 0.5 <= x <= 2
transcriber_provider
string | null
transcriber_model
string | null
transcriber_language
string | null
background_sound
string | null
background_sound_url
string | null
max_duration
integer | null
Required range: 10 <= x <= 43200
silence_timeout
integer | null
Required range: 5 <= x <= 300
enable_end_call
boolean | null
voicemail_detection
boolean | null
voicemail_message
string | null
server_url
string | null
tool_ids
any[] | null
rag_enabled
boolean | null
rag_config
Rag Config · object | null
status
string | null
hipaa_compliance
boolean | null
audio_recording
boolean | null
logging
boolean | null
transcript_enabled
boolean | null

Response

Successful Response

Full agent object returned by the API.

id
string
required
name
string
required
user_id
string | null
org_id
string | null
description
string | null
model_provider
string | null
model_name
string | null
system_prompt
string | null
temperature
number | null
max_tokens
integer | null
first_message
string | null
first_message_mode
string | null
voice_provider
string | null
voice_id
string | null
voice_model
string | null
voice_stability
number | null
voice_similarity
number | null
voice_speed
number | null
transcriber_provider
string | null
transcriber_model
string | null
transcriber_language
string | null
background_sound
string | null
background_sound_url
string | null
max_duration
integer | null
silence_timeout
integer | null
enable_end_call
boolean | null
voicemail_detection
boolean | null
voicemail_message
string | null
server_url
string | null
tool_ids
any[] | null
rag_enabled
boolean | null
rag_config
Rag Config · object | null
status
string | null
created_at
string | null
updated_at
string | null
deleted_at
string | null
hipaa_compliance
boolean | null
audio_recording
boolean | null
logging
boolean | null
transcript_enabled
boolean | null